if InvenSimulatorUI.class ~= "죽음의 기사" then return end

function InvenSimulatorUI:InitStance()
	self:RegisterSideTab(1, nil, 3, 48266, 48263, 48265)
end

function InvenSimulatorUI:InitClassBuff()
	return 9, {
		"타사리안의 전투장비 (2 피스 효과)", 67117, "힘 180만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("타사리안의 전투장비") >= 2 end,
		"콜티라의 전투장비 (2 피스 효과)", 67117, "힘 180만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("콜티라의 전투장비") >= 2 end,
		"파멸의 판금 갑옷 (4 피스 효과)", 37612, "전투력 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("파멸의 판금 갑옷") >= 4 end,
		"격분", 49016, "공격력 20%만큼 증가", function() return InvenSimulatorCharDB.talents["혈기;격분"] end,
		"흡혈", 55233, "최대 생명력 15%만큼 증가", function() return InvenSimulatorCharDB.talents["혈기;흡혈"] end,
		"피의 복수", 50449, "공격력 9%만큼 증가", function() return InvenSimulatorCharDB.talents["혈기;피의 복수"] end,
		"불굴의 갑옷", 51271, "방어도 25%만큼 증가\n힘 10%만큼 증가", function() return InvenSimulatorCharDB.talents["냉기;불굴의 갑옷"] end,
		"뼈의 보호막", 49222, "공격력 2%만큼 증가", function() return InvenSimulatorCharDB.talents["부정;뼈의 보호막"] end,
		"얼음 발톱", 50880, "근접 공격 속도 20%만큼 증가", function() return InvenSimulatorCharDB.talents["냉기;얼음 발톱"] end,
	}
end

function InvenSimulatorUI:ApplyTalent()
	if self:HasGlyphs("불굴의 갑옷의 문양") then
		self:UpdateClassBuffText("불굴의 갑옷", "방어도 30%만큼 증가\n힘 20%만큼 증가")
	else
		self:UpdateClassBuffText("불굴의 갑옷", "방어도 25%만큼 증가\n힘 20%만큼 증가")
	end
	if self.db.talents["혈기;피의 복수"] then
		self:UpdateClassBuffText("피의 복수", "공격력 "..(self.db.talents["혈기;피의 복수"] * 3).."%만큼 증가")
	end
	if self.db.talents["냉기;얼음 발톱"] then
		self:UpdateClassBuffText("얼음 발톱", "근접 공격 속도 "..(self.db.talents["냉기;얼음 발톱"] * 4).."%만큼 증가")
	end
	-- 양손 무기류 전문화(2) 양손 무기 공격력 2,4%
	if self.db.talents["혈기;양손 무기류 전문화"] and self.db.items[16] and select(9, GetItemInfo(self.db.items[16])) == "INVTYPE_2HWEAPON" then
		self:MultiSpec("주장비 공격력 배율", "양손 무기류 전문화", 0.02)
	end
	-- 암흑의 자각(5) 치명타율 1,2,3,4,5%
	self:AddSpec("치명타율", "암흑의 자각", 1)
	self:AddSpec("극대화율", "암흑의 자각", 1)
	-- 칠흑의 역병인도자(3) 치명타율 1,2,3%
	self:AddSpec("치명타율", "칠흑의 역병인도자", 1)
	self:AddSpec("극대화율", "칠흑의 역병인도자", 1)
	-- 3차 대전쟁의 역전용사(3) 힘 +2,4,6%
	self:MultiSpec("힘", "3차 대전쟁의 역전용사", 0.02)
	-- 3차 대전쟁의 역전용사(3) 체력 1,2,3%
	self:MultiSpec("체력", "3차 대전쟁의 역전용사", 0.01)
	-- 3차 대전쟁의 역전용사(3) 숙련 2,4,6
	self:AddSpec("숙련", "3차 대전쟁의 역전용사", 2)
	-- 강인함(5) 아이템 방어도 +2,4,6,8,10%
	self:MultiSpec("아이템 방어도", "강인함", 0.02)
	-- 차가운 강철 신경(3) 보조장비 공격력 배율 5,10,15%
	if self.specTable["무기2 최소 공격력"] then
		self:MultiSpec("보조장비 공격력 배율", "차가운 강철 신경", 0.05)
	end
	-- 직감(5) 회피율 1,2,3,4,5%
	self:AddSpec("회피율", "직감", 1)
	-- 영원한 겨울(2) 힘 2,4%
	self:MultiSpec("힘", "영원한 겨울", 0.02)
	-- 포악한 사자(3) 힘 1,2,3%
	self:MultiSpec("힘", "포악한 사자", 0.01)
	-- 누더기골렘의 힘(2) 힘 1,2%
	self:MultiSpec("힘", "누더기골렘의 힘", 0.01)
	-- 리븐데어의 분노(5) 숙련 1,2,3,4,5
	self:AddSpec("숙련", "리븐데어의 분노", 1)
	-- 동토의 추적자(5) 숙련 1,2,3,4,5
	self:AddSpec("숙련", "동토의 추적자", 1)
	-- 피의 탐닉(5) 물리 공격력 배율 +2,4,6,8,10%
	self:MultiSpec("물리 공격력 배율", "피의 탐닉", 0.02)
	-- 얼음 발톱 연마(1) 가속도 +5%
	self:MultiSpec("공격 속도 배율", "얼음 발톱 연마", 0.05)
	if self:HasStance("혈기의 형상") then
		-- 물리 공격력 배율 15%증가
		self:MultiSpec("물리 공격력 배율", 0.15)
		-- 냉기의 형상 연마(2) 냉기의 형상 체력 보너스 3,6% 획득
		if self.db.talents["냉기;냉기의 형상 연마"] then
			self:MultiSpec("체력", 0.08 * (0.03 * self.db.talents["냉기;냉기의 형상 연마"]))
		end
	elseif self:HasStance("냉기의 형상") then
		-- 아이템 방어도 +60%
		self:MultiSpec("아이템 방어도", 0.6)
		-- 체력 +8%
		self:MultiSpec("체력", 0.08)
	elseif self:HasStance("부정의 형상") then
		-- 근접 공격속도 +15%
		self:MultiSpec("공격 속도 배율", 0.15)
		-- 냉기의 형상 연마(2) 냉기의 형상 체력 보너스 3,6% 획득
		if self.db.talents["냉기;냉기의 형상 연마"] then
			self:MultiSpec("체력", 0.08 * (0.03 * self.db.talents["냉기;냉기의 형상 연마"]))
		end
	end
	if self:HasStance("뼈의 보호막") then
		self:MultiSpec("물리 공격력 배율", 0.02)
	end
	-- 룬벼르기
	if self.db.items[16] then
		local enchant = self:GetEnchantID(self.db.items[16])
		if enchant == 3594 then
			-- 검파괴자의 룬
			self:AddSpec("무기 막기", 2)
		elseif enchant == 3847 then
			-- 돌가죽 가고일의 룬
			self:MultiSpec("체력", 0.02)
			self:AddSpec("방어 숙련", 25)
		elseif enchant == 3365 then
			-- 검분쇄자의 룬
			self:AddSpec("무기 막기", 4)
		elseif enchant == 3883 then
			-- 네루비안 등껍질의 룬
			self:MultiSpec("체력", 0.01)
			self:AddSpec("방어 숙련", 13)
		end
	end
	if self.db.items[17] then
		local enchant = self:GetEnchantID(self.db.items[17])
		if enchant == 3594 then
			-- 검파괴자의 룬
			self:AddSpec("무기 막기", 2)
		elseif enchant == 3883 then
			-- 네루비안 등껍질의 룬
			self:MultiSpec("체력", 0.01)
			self:AddSpec("방어 숙련", 13)
		end
	end
end
function InvenSimulatorUI:ApplyLastTalent()
	-- 칼날 갑옷(5) 방어도 180당 전투력 1,2,3,4,5증가
	self:AddSpec("전투력", floor(self.specTable["방어도"]) / 180 * self:GetTalentPoint("칼날 갑옷"))
end